lkml.org 
[lkml]   [1998]   [Jan]   [17]   [last100]   RSS Feed
Views: [wrap][no wrap]   [headers]  [forward] 
 
Messages in this thread
/
Date
From
SubjectRe: gcc-2.8.0 miscompiles kernel (Was: gcc-2.8 out...)
Scott Lampert wrote:
[...]

> I can't seem to get the kernel to compile with egcs 1.0 or 1.0.1.
> I get kernel panics on boot right after the NCR53C8xx driver and
> before the DE4X5 driver (both compiled into the kernel). I haven't had
> time to copy all the panic info by hand (I don't know of any way to print
> the screen on a boot panic) so I can't really give more information. In
> case it's important, I compiled egcs with gcc-2.7.2.3 from redhat 5.0. I
> haven't tried it with a pre-built egcs binary yet.
> -Scott

Same here with the AIC7XXX and the DE4X5 driver. It occured whenI compiled the kernel with gcc-2.8.0, egcs-1.0 and 1.0.1.
2.0.33 compiled with 2.7.2.3 works fine.
(System: PPro, binutils-2.8.1.0.18)

Bernd


\
 
 \ /
  Last update: 2005-03-22 13:41    [W:0.041 / U:7.028 seconds]
©2003-2018 Jasper Spaans|hosted at Digital Ocean and TransIP|Read the blog|Advertise on this site